#ifndef _Handle_PColgp_SeqNodeOfHSequenceOfDir_HeaderFile
#define _Handle_PColgp_SeqNodeOfHSequenceOfDir_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PMMgt_PManaged_HeaderFile
#include <Handle_PMMgt_PManaged.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PMMgt_PManaged);
class PColgp_SeqNodeOfHSequenceOfDir;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColgp_SeqNodeOfHSequenceOfDir);

class Handle(PColgp_SeqNodeOfHSequenceOfDir) : public Handle(PMMgt_PManaged) {
  public:

    Handle(PColgp_SeqNodeOfHSequenceOfDir)():Handle(PMMgt_PManaged)() {} 
    Handle(PColgp_SeqNodeOfHSequenceOfDir)(const Handle(PColgp_SeqNodeOfHSequenceOfDir)& aHandle) : Handle(PMMgt_PManaged)(aHandle) 
     {
     }

    Handle(PColgp_SeqNodeOfHSequenceOfDir)(const PColgp_SeqNodeOfHSequenceOfDir* anItem) : Handle(PMMgt_PManaged)((PMMgt_PManaged *)anItem) 
     {
     }

    Handle(PColgp_SeqNodeOfHSequenceOfDir)& operator=(const Handle(PColgp_SeqNodeOfHSequenceOfDir)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColgp_SeqNodeOfHSequenceOfDir)& operator=(const PColgp_SeqNodeOfHSequenceOfDir* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColgp_SeqNodeOfHSequenceOfDir* operator->() const 
     {
      return (PColgp_SeqNodeOfHSequenceOfDir *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColgp_SeqNodeOfHSequenceOfDir) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
